(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     19268,        513]
NotebookOptionsPosition[     16933,        432]
NotebookOutlinePosition[     17380,        449]
CellTagsIndexPosition[     17337,        446]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<MathCode`\>\"", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.535705854587429*^9, 3.535705957492307*^9}, {
   3.535706378750752*^9, 3.535706379802782*^9}, 3.535706454903637*^9, 
   3.535706501462383*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetDirectory", "[", 
  RowBox[{"$MCRoot", "<>", "\"\</DemosF90/Strings\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.535705854587429*^9, 3.535705957492307*^9}, {
   3.535706378750752*^9, 3.535706379802782*^9}, 3.535706454903637*^9, 
   3.535706501462383*^9}],

Cell[BoxData["\<\"C:\\\\b\\\\omath\\\\MathCode\\\\DemosF90\\\\Strings\"\>"], \
"Output",
 CellChangeTimes->{3.535706590962208*^9, 3.535706623807744*^9, 
  3.535707563430089*^9, 3.535708113137689*^9, 3.535708272602521*^9, 
  3.535708399926281*^9, 3.535775333549555*^9, 3.535776043251608*^9, 
  3.535777374236848*^9, 3.535777516765923*^9, 3.535777587206834*^9, 
  3.535777708810432*^9, 3.535777992231957*^9, 3.535778058073962*^9, 
  3.570970067660222*^9, 3.570970120566811*^9, 3.571030614401122*^9, 
  3.5710308487463713`*^9, 3.571031699001813*^9, 3.571032601971589*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"toPrint", "[", 
     RowBox[{
      RowBox[{"String", " ", "s_"}], ",", 
      RowBox[{"Integer", " ", "p_"}]}], "]"}], "\[Rule]", "Real"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{
      RowBox[{"Print", "[", "\"\<\\n Printing of a string. \\n\>\"", "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", "s", "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", "\"\<\\n Done \\n\>\"", "]"}], ";", 
      "\[IndentingNewLine]", "5.0"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.535705854587429*^9, 3.535705856626881*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"toReturnString", "[", 
     RowBox[{
      RowBox[{"String", " ", "s_"}], ",", 
      RowBox[{"Integer", " ", "p_"}]}], "]"}], "\[Rule]", "String"}], ":=", 
   "s"}], ";"}]], "Input",
 CellChangeTimes->{{3.535705854587429*^9, 3.535705859897739*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"exfun", "[", 
     RowBox[{
      RowBox[{"String", " ", "s_"}], ",", 
      RowBox[{"Integer", " ", "p_"}]}], "]"}], "\[Rule]", "Real"}], ":=", 
   RowBox[{"ExternalFunction", "[", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.535705854587429*^9, 3.53570586158911*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"exsub", "[", 
     RowBox[{
      RowBox[{"String", " ", "s_"}], ",", 
      RowBox[{"Integer", " ", "p_"}]}], "]"}], "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Real", ",", "Real"}], "}"}]}], ":=", 
   RowBox[{"ExternalProcedure", "[", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.535705854587429*^9, 3.535705863008187*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"callEx", "[", 
      RowBox[{
       RowBox[{"String", " ", "s_"}], ",", 
       RowBox[{"Integer", " ", "p_"}]}], "]"}], "\[Rule]", "Real"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Real", " ", "v"}], ",", 
        RowBox[{"Real", " ", "c"}]}], "}"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"v", ",", "c"}], "}"}], "=", 
        RowBox[{"exsub", "[", 
         RowBox[{"s", ",", "p"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<V=(\>\"", ",", "v", ",", "\"\<) C=(\>\"", ",", "c", ",", 
         "\"\<) S=(\>\"", ",", "s", ",", " ", "\"\<)\>\""}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"v", "=", 
        RowBox[{"exfun", "[", 
         RowBox[{"s", ",", "p"}], "]"}]}], ";", "v"}]}], "]"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.535705854587429*^9, 3.535705864454489*^9}, {
  3.535777669398016*^9, 3.535777684225395*^9}, {3.535778318725289*^9, 
  3.535778334536208*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CompilePackage", "[", "]"}]], "Input",
 CellChangeTimes->{{3.535705854587429*^9, 3.535705865577909*^9}}],

Cell[BoxData["\<\"Successful compilation to Fortran90: 7 function(s)\"\>"], \
"Print",
 CellChangeTimes->{3.53570662960791*^9, 3.535707567693113*^9, 
  3.535708118174797*^9, 3.535708277013387*^9, 3.535708404189326*^9, 
  3.535775337077145*^9, 3.535776048818732*^9, 3.535777048970122*^9, 
  3.535777377831067*^9, 3.535777520247795*^9, 3.535777590767031*^9, 
  3.535777712353515*^9, 3.535777995705904*^9, 3.535778061588582*^9, 
  3.5709700699883623`*^9, 3.570970122894951*^9, 3.5710306168542624`*^9, 
  3.5710308510901365`*^9, 3.571031701501829*^9, 3.571032604377592*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"extPath", "=", 
   RowBox[{
    RowBox[{"Directory", "[", "]"}], "<>", "\"\</\>\"", "<>", 
    "\"\<abc.o\>\""}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"extPath", "=", " ", "\"\<abc.o\>\""}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.570970363224614*^9, 3.5709704144124413`*^9}, {
  3.5710306007291594`*^9, 3.571030609619841*^9}}],

Cell[BoxData[
 RowBox[{"MakeBinary", "[", 
  RowBox[{
   RowBox[{"NeedsExternalObjectModule", "\[Rule]", 
    RowBox[{"{", "extPath", "}"}]}], ",", 
   RowBox[{"DebugFlag", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.535705854587429*^9, 3.535705868667891*^9}, 
   3.5709704190530963`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"toPrint", "[", 
  RowBox[{"\"\<aaa.txt\>\"", ",", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.535705854587429*^9, 3.535705869903373*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"\\n Printing of a string. \\n\"\>"], "Print",
 CellChangeTimes->{3.535706638016095*^9, 3.5357075752684*^9, 
  3.535708128338072*^9, 3.535708280418485*^9, 3.535708413623423*^9, 
  3.535776067925542*^9, 3.535777383287625*^9, 3.535777525797663*^9, 
  3.535777595765399*^9, 3.535777718042822*^9, 3.535778000971429*^9, 
  3.53577806689169*^9, 3.570970080441554*^9, 3.5709709798848104`*^9, 
  3.5710306191042767`*^9, 3.5710317094393797`*^9, 3.571032614470309*^9}],

Cell[BoxData["\<\"aaa.txt\"\>"], "Print",
 CellChangeTimes->{3.535706638016095*^9, 3.5357075752684*^9, 
  3.535708128338072*^9, 3.535708280418485*^9, 3.535708413623423*^9, 
  3.535776067925542*^9, 3.535777383287625*^9, 3.535777525797663*^9, 
  3.535777595765399*^9, 3.535777718042822*^9, 3.535778000971429*^9, 
  3.53577806689169*^9, 3.570970080441554*^9, 3.5709709798848104`*^9, 
  3.5710306191042767`*^9, 3.5710317094393797`*^9, 3.571032614470309*^9}],

Cell[BoxData["\<\"\\n Done \\n\"\>"], "Print",
 CellChangeTimes->{3.535706638016095*^9, 3.5357075752684*^9, 
  3.535708128338072*^9, 3.535708280418485*^9, 3.535708413623423*^9, 
  3.535776067925542*^9, 3.535777383287625*^9, 3.535777525797663*^9, 
  3.535777595765399*^9, 3.535777718042822*^9, 3.535778000971429*^9, 
  3.53577806689169*^9, 3.570970080441554*^9, 3.5709709798848104`*^9, 
  3.5710306191042767`*^9, 3.5710317094393797`*^9, 3.571032614470309*^9}]
}, Open  ]],

Cell[BoxData["5.`"], "Output",
 CellChangeTimes->{3.535706639071561*^9, 3.535707576314108*^9, 
  3.535708129029447*^9, 3.535708281222028*^9, 3.53570841465895*^9, 
  3.535776068029051*^9, 3.535777383363574*^9, 3.535777526337189*^9, 
  3.535777595839564*^9, 3.535777718367269*^9, 3.535778001072546*^9, 
  3.535778066926303*^9, 3.570970080472804*^9, 3.5709709799004354`*^9, 
  3.571030619135527*^9, 3.5710317094393797`*^9, 3.5710326144859324`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"toReturnString", "[", 
  RowBox[{"\"\<bbb.txt\>\"", ",", "4"}], "]"}]], "Input",
 CellChangeTimes->{{3.535705854587429*^9, 3.535705871248998*^9}}],

Cell[BoxData["\<\"bbb.txt\"\>"], "Output",
 CellChangeTimes->{3.535706639981535*^9, 3.535707577313152*^9, 
  3.535708129867809*^9, 3.535708282039867*^9, 3.535708415643138*^9, 
  3.535776068177895*^9, 3.535777383386226*^9, 3.535777526634354*^9, 
  3.53577759586179*^9, 3.535777718601835*^9, 3.535778001097325*^9, 
  3.535778066949641*^9, 3.5709700804884295`*^9, 3.5709709828379545`*^9, 
  3.5710306191511526`*^9, 3.571031709455005*^9, 3.5710326145015554`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"InstallCode", "[", "]"}]], "Input",
 CellChangeTimes->{{3.535705854587429*^9, 3.535705873479536*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Global\"\>", "\[InvisibleSpace]", "\<\" is installed.\"\>"}],
  SequenceForm["Global", " is installed."],
  Editable->False]], "Print",
 CellChangeTimes->{3.570970984744217*^9, 3.5710317096893816`*^9, 
  3.571032614626543*^9}],

Cell[BoxData[
 RowBox[{"LinkObject", "[", 
  RowBox[{"\<\"\\\"C:\\\\b\\\\omath\\\\MathCode\\\\DemosF90\\\\Strings\\\\\
Globalml.exe\\\"\"\>", ",", "23", ",", "8"}], "]"}]], "Output",
 CellChangeTimes->{3.535706641197368*^9, 3.535707578500385*^9, 
  3.535708130945072*^9, 3.53570828310823*^9, 3.535708416808588*^9, 
  3.535776068731693*^9, 3.535777383984276*^9, 3.535777527481659*^9, 
  3.53577759639925*^9, 3.535777719268434*^9, 3.535778001627558*^9, 
  3.535778067484502*^9, 3.5709700824415674`*^9, 3.570970984759842*^9, 
  3.5710317096893816`*^9, 3.571032614626543*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"toPrint", "[", 
  RowBox[{"\"\<aaa.txt\>\"", ",", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.535705854587429*^9, 3.535705876318446*^9}}],

Cell[BoxData["5.`"], "Output",
 CellChangeTimes->{3.535706642071802*^9, 3.535707579437905*^9, 
  3.535708131605419*^9, 3.535708283993763*^9, 3.535708417714305*^9, 
  3.535776068866834*^9, 3.535777384277296*^9, 3.535777527774561*^9, 
  3.535777596569523*^9, 3.535777719626228*^9, 3.535778001801553*^9, 
  3.535778067650192*^9, 3.5709700825040674`*^9, 3.570970987775486*^9, 
  3.5710317097050066`*^9, 3.571032614642166*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"callEx", "[", 
  RowBox[{"\"\<aaa.txt\>\"", ",", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.535705854587429*^9, 3.535705878962372*^9}}],

Cell[BoxData["5.`"], "Output",
 CellChangeTimes->{3.535706642329322*^9, 3.535707579733436*^9, 
  3.535708131855921*^9, 3.535708284264527*^9, 3.535708418018588*^9, 
  3.5357760690841*^9, 3.535777384649911*^9, 3.535777528111413*^9, 
  3.53577759673461*^9, 3.535777719871265*^9, 3.535778001925332*^9, 
  3.53577806791933*^9, 3.5709700826134434`*^9, 3.5709709900255003`*^9, 
  3.571031709720632*^9, 3.5710326146577897`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"toReturnString", "[", 
  RowBox[{"\"\<bbb.txt\>\"", ",", "4"}], "]"}]], "Input",
 CellChangeTimes->{{3.535705854587429*^9, 3.535705878962372*^9}, {
  3.535706318521114*^9, 3.535706328407483*^9}, {3.535708228278499*^9, 
  3.535708232019258*^9}}],

Cell[BoxData["\<\"bbb.txt                                                     \
                                                                              \
                                                                              \
                                       \"\>"], "Output",
 CellChangeTimes->{3.535708285164502*^9, 3.535708418930978*^9, 
  3.53577606915012*^9, 3.535777384879665*^9, 3.535777528438776*^9, 
  3.53577759712667*^9, 3.535777720022477*^9, 3.535778002029156*^9, 
  3.535778068333204*^9, 3.5709700826290684`*^9, 3.570970997619299*^9, 
  3.571031709736257*^9, 3.571032614673413*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"UninstallCode", "[", "]"}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"CompilePackage", "[", 
   RowBox[{
   "MainFileAndFunction", "\[Rule]", 
    "\"\<\n\nCHARACTER(LEN=256) STR \\n\nREAL R \\n\nSTR='This is str from \
main'\\n\nR=CALLEX(STR,77)\\n\nPRINT *,'R1=',R\\n\nSTR='This is other str \
from main'\\n\nR=CALLEX(STR,77)\\n\nPRINT *,'R2=',R\\n\n\>\""}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.535776224800549*^9, 3.535776253506041*^9}, {
  3.535776372289522*^9, 3.535776429981175*^9}, {3.535776515999046*^9, 
  3.535776632963654*^9}, {3.535776673651895*^9, 3.535776691879156*^9}, {
  3.535776726152398*^9, 3.535776759051167*^9}, {3.535776816818262*^9, 
  3.535776847579033*^9}, {3.535777863704801*^9, 3.535777990198579*^9}, {
  3.535778121970177*^9, 3.535778137595939*^9}, {3.535778176554493*^9, 
  3.535778179060569*^9}, {3.535778221468698*^9, 3.53577823032929*^9}, {
  3.535778626010072*^9, 3.535778663178654*^9}, {3.535778749865513*^9, 
  3.535778771928002*^9}, {3.53577889272922*^9, 3.535778903269483*^9}, {
  3.535778938128413*^9, 3.535778970015429*^9}, {3.535779026537366*^9, 
  3.535779044235715*^9}}],

Cell[BoxData["\<\"Successful compilation to Fortran90: 7 function(s)\"\>"], \
"Print",
 CellChangeTimes->{{3.535776557557362*^9, 3.535776580179413*^9}, {
   3.535776613004681*^9, 3.535776640147238*^9}, 3.535776699202309*^9, 
   3.53577676907556*^9, {3.535776831919824*^9, 3.535776853201285*^9}, 
   3.535777175977094*^9, 3.535777388190019*^9, 3.535777531890724*^9, 
   3.535777600531084*^9, 3.535777723644423*^9, 3.535778005269631*^9, 
   3.535778071793694*^9, 3.535778197787298*^9, 3.535778234778326*^9, 
   3.535778362400795*^9, 3.535778679936986*^9, 3.535778781411673*^9, 
   3.535778909831631*^9, {3.535778947618074*^9, 3.5357789762721*^9}, 
   3.535779048941575*^9, 3.570970084957208*^9, 3.570971010150629*^9, 
   3.571031712064397*^9, 3.5710326170794163`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"MakeBinary", "[", 
   RowBox[{
    RowBox[{"StandAloneExecutable", "\[Rule]", "True"}], ",", 
    RowBox[{"NeedsExternalObjectModule", "\[Rule]", 
     RowBox[{"{", "extPath", "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.535776433379379*^9, 3.535776470610118*^9}, 
   3.5709710210725746`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Run", "[", "\"\<./Global.exe > results.txt\>\"", "]"}]}]], "Input",\

 CellChangeTimes->{{3.535777311623587*^9, 3.535777329915367*^9}}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{
  3.535777322552074*^9, {3.535777360685815*^9, 3.535777389823549*^9}, 
   3.535777533383678*^9, 3.535777602075445*^9, 3.5357777269477*^9, 
   3.535778007255127*^9, 3.535778073581512*^9, 3.535778259894178*^9, 
   3.535778368569536*^9, 3.535778687834669*^9, 3.535778786901703*^9, 
   3.535778983895037*^9, 3.535779054905441*^9, 3.570970090738495*^9, 
   3.570971450856575*^9, 3.571031718064435*^9, 3.571032623703738*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"FilePrint", "[", "\"\<results.txt\>\"", "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.535777331805262*^9, 3.535777357024972*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
  "Run", "[", "\"\<echo NOW WE RECOMPILE EVERYTHING FROM COMMAND LINE:\>\"", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.535777485619554*^9, 3.535777506671169*^9}, {
  3.53577758307408*^9, 3.535777585163572*^9}, {3.535777628326221*^9, 
  3.535777635585351*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.535777533916797*^9, 3.535777602613378*^9, 
  3.535777727538033*^9, 3.535778007460315*^9, 3.53577807377193*^9, 
  3.535779064891698*^9, 3.570970090832246*^9, 3.5709714565441113`*^9, 
  3.5710317181113105`*^9, 3.5710326237662315`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
  "Run", "[", 
   "\"\<make -f Global.unx clean abc.o Global.exe Globalml.exe\>\"", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.53577743682519*^9, 3.53577747343432*^9}, {
  3.535777572177216*^9, 3.535777580892904*^9}}],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{3.535777534158705*^9, 3.535777607085744*^9, 
  3.535777731916376*^9, 3.535778008833698*^9, 3.535778075006976*^9, 
  3.535779074051436*^9, 3.5709700909103713`*^9, 3.570971461294142*^9, 
  3.571031718173811*^9, 3.571032623828725*^9}]
}, Open  ]],

Cell["CleanMathCodeFiles[Confirm -> False, CleanAllBut -> {}];", "Input",
 CellChangeTimes->{{3.535776493117567*^9, 3.535776496530716*^9}, {
  3.535777369667723*^9, 3.535777372139207*^9}, {3.535778053002483*^9, 
  3.535778055959243*^9}, {3.535779077880813*^9, 3.535779081046631*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DeleteFile", "[", "\"\<abc.obj\>\"", "]"}], ";", 
  RowBox[{"DeleteFile", "[", "\"\<abc.o\>\"", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.535708244679241*^9, 3.535708249191598*^9}}]
},
WindowSize->{920, 845},
WindowMargins->{{144, Automatic}, {Automatic, 25}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 256, 5, 35, "Input"],
Cell[CellGroupData[{
Cell[826, 29, 283, 5, 35, "Input"],
Cell[1112, 36, 568, 8, 35, "Output"]
}, Open  ]],
Cell[1695, 47, 670, 17, 102, "Input"],
Cell[2368, 66, 309, 9, 35, "Input"],
Cell[2680, 77, 332, 9, 35, "Input"],
Cell[3015, 88, 388, 11, 35, "Input"],
Cell[3406, 101, 1153, 32, 102, "Input"],
Cell[CellGroupData[{
Cell[4584, 137, 128, 2, 35, "Input"],
Cell[4715, 141, 569, 8, 27, "Print"]
}, Open  ]],
Cell[5299, 152, 405, 10, 80, "Input"],
Cell[5707, 164, 306, 7, 35, "Input"],
Cell[CellGroupData[{
Cell[6038, 175, 163, 3, 35, "Input"],
Cell[CellGroupData[{
Cell[6226, 182, 475, 6, 72, "Print"],
Cell[6704, 190, 453, 6, 27, "Print"],
Cell[7160, 198, 458, 6, 72, "Print"]
}, Open  ]],
Cell[7633, 207, 444, 6, 35, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8114, 218, 170, 3, 35, "Input"],
Cell[8287, 223, 458, 6, 35, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8782, 234, 125, 2, 35, "Input"],
Cell[8910, 238, 275, 6, 27, "Print"],
Cell[9188, 246, 571, 9, 35, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9796, 260, 163, 3, 35, "Input"],
Cell[9962, 265, 421, 6, 35, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10420, 276, 162, 3, 35, "Input"],
Cell[10585, 281, 419, 6, 35, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11041, 292, 268, 5, 35, "Input"],
Cell[11312, 299, 614, 8, 102, "Output"]
}, Open  ]],
Cell[11941, 310, 79, 2, 35, "Input"],
Cell[CellGroupData[{
Cell[12045, 316, 1109, 19, 278, "Input"],
Cell[13157, 337, 765, 11, 27, "Print"]
}, Open  ]],
Cell[13937, 351, 357, 8, 58, "Input"],
Cell[CellGroupData[{
Cell[14319, 363, 193, 4, 58, "Input"],
Cell[14515, 369, 467, 7, 35, "Output"]
}, Open  ]],
Cell[14997, 379, 185, 4, 58, "Input"],
Cell[CellGroupData[{
Cell[15207, 387, 320, 7, 58, "Input"],
Cell[15530, 396, 282, 4, 35, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15849, 405, 277, 7, 58, "Input"],
Cell[16129, 414, 279, 4, 35, "Output"]
}, Open  ]],
Cell[16423, 421, 283, 3, 35, "Input"],
Cell[16709, 426, 220, 4, 35, "Input"]
}
]
*)

(* End of internal cache information *)
